Minimum System Requirements

How Can We Help?
< Back
You are here:
Print

The following are the minimum system requirements for OpenLiteSpeed.

Operating System

  • Linux
    • AlmaLinux: 8 and up
    • CentOS: 7 and up
    • Debian: 9 and up
    • Ubuntu: 14.04 and up
  • FreeBSD(i386): 12.2 and up
  • MacOSX: 10.15 and up

CPU

  • Intel: 80486 and up
  • PowerPC: PowerPC G4

 

  • ARM CPU may work if you can compile OLS yourself from the source successfully but you can not use binary installation or use repository to install at all.

Memory

  • 32MB and up

Disk

  • Installation: 200MB
  • Runtime: 300MB and up, swapping space depends on usage
Next Install OLS from LiteSpeed Repositories
Table of Contents